Initiate External Transfer
curl --request POST \
--url https://client-api.dev.finhost.io/v2/transfer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": "<string>",
"from": {
"type": "individual",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"payment": {
"method": "sepa",
"recipient": {
"iban": "<string>",
"bicSwift": "<string>",
"reference": "<string>",
"bankName": "<string>",
"type": "individual",
"name": "<string>",
"surname": "<string>",
"bankCountry": "<string>",
"country": "<string>",
"street": "<string>",
"houseNumber": "<string>",
"refinement": "<string>",
"city": "<string>",
"region": "<string>",
"postCode": "<string>",
"email": "<string>"
}
}
}
'import requests
url = "https://client-api.dev.finhost.io/v2/transfer"
payload = {
"amount": "<string>",
"from": {
"type": "individual",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"payment": {
"method": "sepa",
"recipient": {
"iban": "<string>",
"bicSwift": "<string>",
"reference": "<string>",
"bankName": "<string>",
"type": "individual",
"name": "<string>",
"surname": "<string>",
"bankCountry": "<string>",
"country": "<string>",
"street": "<string>",
"houseNumber": "<string>",
"refinement": "<string>",
"city": "<string>",
"region": "<string>",
"postCode": "<string>",
"email": "<string>"
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: '<string>',
from: {type: 'individual', accountId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'},
payment: {
method: 'sepa',
recipient: {
iban: '<string>',
bicSwift: '<string>',
reference: '<string>',
bankName: '<string>',
type: 'individual',
name: '<string>',
surname: '<string>',
bankCountry: '<string>',
country: '<string>',
street: '<string>',
houseNumber: '<string>',
refinement: '<string>',
city: '<string>',
region: '<string>',
postCode: '<string>',
email: '<string>'
}
}
})
};
fetch('https://client-api.dev.finhost.io/v2/transfer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"message": "Amount is too big for this payment method"
}{
"message": "Sender has no contract"
}{
"message": "Sender not found"
}Transfers
Initiate External Transfer
Initiate External Transfer
POST
/
v2
/
transfer
Initiate External Transfer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Amount in integer/float string format with maximum 2 decimal places
Required string length:
1 - 14Examples:
"42"
"4.2"
"4.20"
Individual account from which the transfer will be made
- Option 1
- Option 2
Show child attributes
Show child attributes
SEPA transfer
- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
Receive Sumsub (our KYB provider) access token, given the company ID (use client-api domain from servers listed above)Initiate Internal Transfer
⌘I